package eksempel.rest;

import eksempel.rest.ixbrl.RegisterInlineXBRLInput;
import eksempel.rest.ixbrl.TestInlineXBRLInput;
import eksempel.rest.ixbrl.TestInlineXBRLInvoker;

import javax.swing.*;

public class TestInlineXBRLActionListener extends IndlaesInlineXBRLActionListener {
    public TestInlineXBRLActionListener(JFrame parent, RegisterInlineXBRLFront gui) {
        super(parent, gui);
    }

    @Override
    protected TestInlineXBRLInput samlInput(String indhold, String supplerendeInstans) {
        // Saml input
        TestInlineXBRLInput input = new TestInlineXBRLInput();
        input.setInlineXbrl(indhold);
        input.setSupplerendeInstans(supplerendeInstans);
        input.setToken(gui.token.getText());
        input.setReturnDocuments(gui.returnerDokumenterBox.isSelected());
        input.setDirigent(gui.ixbrlDirigent.getText());
        input.setGodkendelsesdato(gui.ixbrlGodkendelsesdato.getText());
        input.setTestadgangstegn(gui.testadgangstegn.getText());
        return input;
    }

    @Override
    protected String invokeRegister(RegisterInlineXBRLInput input) throws Exception {
        return new TestInlineXBRLInvoker().register(input, gui.httpsBox.isSelected(), gui.prodRadio.isSelected(), gui.preprodRadio.isSelected(),
                gui.testRadio.isSelected(), gui.devRadio.isSelected(), gui.localRadio.isSelected(), gui.aabenDokumenterBox.isSelected(),
                gui.focesSendFile.getText(), gui.focesSendPw.getText());
    }
}
