package eksempel.rest.xbrl;

import com.fasterxml.jackson.annotation.JsonInclude;
import eksempel.rest.RegisterBody;

public class RegisterXBRLBody implements RegisterBody {

    private boolean destinationErst;
    private String xbrl;
    private String pdf;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String supplerendeInstans;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String token;

    public String getXbrl() {
        return xbrl;
    }

    public void setXbrl(String xbrl) {
        this.xbrl = xbrl;
    }

    public String getSupplerendeInstans() {
        return supplerendeInstans;
    }

    public void setSupplerendeInstans(String supplerendeInstans) {
        this.supplerendeInstans = supplerendeInstans;
    }

    public boolean isDestinationErst() {
        return destinationErst;
    }

    public void setDestinationErst(boolean destinationErst) {
        this.destinationErst = destinationErst;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public String getPdf() {
        return pdf;
    }

    public void setPdf(String pdf) {
        this.pdf = pdf;
    }
}
