package eksempel.rest.xbrl;

import eksempel.rest.AbstractRegisterDocumentInvoker;

/*
 * Anvendes til at kalde REST webservices.
 */
public class RegisterXBRLInvoker extends AbstractRegisterDocumentInvoker<RegisterXBRLInput,RegisterXBRLBody,RegisterXBRLResponse> {

    public RegisterXBRLInvoker() {
        super(RegisterXBRLResponse.class);
    }

    protected String getController() {
        return "xbrl";
    }

    protected String getAction() {
        return "indberet";
    }

    @Override
    protected RegisterXBRLBody newBody() {
        return new RegisterXBRLBody();
    }
}
