package eksempel.rest.ixbrl;

import com.fasterxml.jackson.annotation.JsonInclude;
import eksempel.rest.RegisterBody;

public class RegisterInlineXBRLBody implements RegisterBody {

    private boolean destinationErst;
    private String iXbrl;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String supplerendeInstans;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String dirigent;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String godkendelsesdato;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String token;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    private boolean returnDocuments;

    public String getiXbrl() {
        return iXbrl;
    }

    public void setiXbrl(String iXbrl) {
        this.iXbrl = iXbrl;
    }

    public String getSupplerendeInstans() {
        return supplerendeInstans;
    }

    public void setSupplerendeInstans(String supplerendeInstans) {
        this.supplerendeInstans = supplerendeInstans;
    }

    public boolean isDestinationErst() {
        return destinationErst;
    }

    public void setDestinationErst(boolean destinationErst) {
        this.destinationErst = destinationErst;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public boolean isReturnDocuments() {
        return returnDocuments;
    }

    public void setReturnDocuments(boolean returnDocuments) {
        this.returnDocuments = returnDocuments;
    }

    public String getDirigent() {
        return dirigent;
    }

    public void setDirigent(String dirigent) {
        this.dirigent = dirigent;
    }

    public String getGodkendelsesdato() {
        return godkendelsesdato;
    }

    public void setGodkendelsesdato(String godkendelsesdato) {
        this.godkendelsesdato = godkendelsesdato;
    }
}
