package eksempel.rest.ixbrl;

public class TestInlineXBRLInput extends RegisterInlineXBRLInput {
    private String testadgangstegn;

    public String getTestadgangstegn() {
        return testadgangstegn;
    }

    public void setTestadgangstegn(String testadgangstegn) {
        this.testadgangstegn = testadgangstegn;
    }

    public TestInlineXBRLBody createBody(RegisterInlineXBRLBody ignore) {
        TestInlineXBRLBody body = (TestInlineXBRLBody) super.createBody(new TestInlineXBRLBody());

        if (getTestadgangstegn() != null && !getTestadgangstegn().isEmpty()) {
            body.setTestadgangstegn(getTestadgangstegn());
        }

        return body;
    }
}
